<?php

namespace App\JsonRpc;

class WebsiteServiceInterface_13e8e98f8ec7afd8f973c30662b13598 extends \Hyperf\RpcClient\Proxy\AbstractProxyService implements WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(string $keyword, int $page, int $pageSize)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
}